summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Jonathan Li <jonathan dot li at hotmail dot co dot uk>2015-02-14 10:36:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-14 10:36:55 +0700
commit079603d23ed86990ec9645f8b3039be0471aaa19 (patch)
tree03ba1b27402a1ed76f77e5c53be9cf3023f7225b /system
parentdecb38a1036521296e8fca67e61c6479a08a4143 (diff)
downloadslackbuilds-079603d23ed86990ec9645f8b3039be0471aaa19.tar.gz
slackbuilds-079603d23ed86990ec9645f8b3039be0471aaa19.tar.xz
system/iucode_tool: Added (Intel Processor Microcode Tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/iucode_tool/README12
-rw-r--r--system/iucode_tool/iucode_tool.SlackBuild96
-rw-r--r--system/iucode_tool/iucode_tool.info10
-rw-r--r--system/iucode_tool/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/system/iucode_tool/README b/system/iucode_tool/README
new file mode 100644
index 0000000000..f3cc2564fe
--- /dev/null
+++ b/system/iucode_tool/README
@@ -0,0 +1,12 @@
+iucode_tool is a program to manipulate Intel i686 and X86-64
+processor microcode update collections, and to use the kernel
+facilities to update the microcode on Intel system processors.
+
+It can load microcode data files in text and binary format, sort,
+list, and filter the microcode updates contained in these files,
+write selected microcode updates to a new file in binary format, or
+upload them to the kernel.
+
+It can also package microcode into an initramfs that can be used as is
+or prepended onto an existing initramfs for use with the kernel early
+microcode loader.
diff --git a/system/iucode_tool/iucode_tool.SlackBuild b/system/iucode_tool/iucode_tool.SlackBuild
new file mode 100644
index 0000000000..66570eb46c
--- /dev/null
+++ b/system/iucode_tool/iucode_tool.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+#Slackware build script for iucode_tool
+
+# Copyright 2015 Jonathan Li
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=iucode_tool
+VERSION=${VERSION:-1.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/iucode?tool?$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README NEWS TODO ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/iucode_tool/iucode_tool.info b/system/iucode_tool/iucode_tool.info
new file mode 100644
index 0000000000..c214987518
--- /dev/null
+++ b/system/iucode_tool/iucode_tool.info
@@ -0,0 +1,10 @@
+PRGNAM="iucode_tool"
+VERSION="1.1.1"
+HOMEPAGE="https://gitorious.org/iucode-tool"
+DOWNLOAD="https://gitorious.org/iucode-tool/releases/raw/iucode-tool_1.1.1.tar.xz"
+MD5SUM="ad95b80b1961886a74ac6c71895c7c9b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jonathan Li"
+EMAIL="jonathan dot li at hotmail dot co dot uk"
diff --git a/system/iucode_tool/slack-desc b/system/iucode_tool/slack-desc
new file mode 100644
index 0000000000..f9b64325a9
--- /dev/null
+++ b/system/iucode_tool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+iucode_tool: iucode_tool (Intel Processor Microcode Tool)
+iucode_tool:
+iucode_tool: iucode_tool is a program to manipulate Intel i686 and X86-64
+iucode_tool: processor microcode update collections, and to use the kernel
+iucode_tool: facilities to update the microcode on Intel system processors.
+iucode_tool:
+iucode_tool: It can load microcode data files in text and binary format, sort,
+iucode_tool: list, and filter the microcode updates contained in these files,
+iucode_tool: write selected microcode updates to a new file in binary format, or
+iucode_tool: upload them to the kernel.
+iucode_tool: